# $Revision: 1.30 $, $Date: 2006/12/10 16:21:51 $
Summary:	C++ interface to PostgreSQL
Summary(pl):	Interfejs C++ do PostgreSQL
Name:		libpqxx
Version:	2.6.8
Release:	3
License:	BSD
Group:		Libraries
Source0:	http://thaiopensource.org/download/software/libpqxx/%{name}-%{version}.tar.gz
# Source0-md5:	cb818ca7698955bcea8b7ba1b7962811
URL:		http://thaiopensource.org/development/libpqxx/
BuildRequires:	autoconf
BuildRequires:	libstdc++-devel
BuildRequires:	postgresql-devel >= 7.4.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes library for C++ interface to PostgreSQL.

%description -l pl
Pakiet ten zawiera biblioteki dla interfejsu C++ do PostgreSQL.

%package devel
Summary:	C++ interface to PostgreSQL - development part
Summary(pl):	Interfejs C++ do PostgreSQL - cz programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	postgresql-devel

%description devel
This package includes header files for C++ interface.

%description devel -l pl
Pakiet ten zawiera pliki nagwkowe dla interfejsu C++.

%package static
Summary:	C++ interface to PostgreSQL - static libraries
Summary(pl):	Interfejs C++ do PostgreSQL - biblioteki statyczne
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package includes static library for interface C++.

%description static -l pl
Pakiet ten zawiera biblioteki statyczne dla interfejsu C++.

%package examples
Summary:	C++ interface to PostgreSQL - examples
Summary(pl):	Interfejs C++ do PostgreSQL - przykadowe programy
Group:		Documentation
Requires:	%{name}-devel = %{version}-%{release}

%description examples
This package includes examples for C++ interface.

%description examples -l pl
Pakiet ten zawiera przykadowe programy dla interfejsu C++.

%package doc
Summary:	C++ interface to PostgreSQL - documentation
Summary(pl):	Interfejs C++ do PostgreSQL - dokumentacja
Group:		Documentation
Requires:	%{name}-devel = %{version}-%{release}

%description doc
This package includes documentation for C++ interface.

%description doc -l pl
Pakiet ten zawiera dokumentacj dla interfejsu C++.

%prep
%setup -q

%build
%{__autoconf}
%configure \
	--enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

./libtool --mode=install install tools/rmlo $RPM_BUILD_ROOT%{_bindir}

cp -a test/test* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/rmlo
%attr(755,root,root) %{_libdir}/libpqxx-*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pqxx-config
%attr(755,root,root) %{_libdir}/libpqxx.so
%{_libdir}/libpqxx.*la
%{_includedir}/pqxx
%{_pkgconfigdir}/*.pc

%files doc
%defattr(644,root,root,755)
%doc doc/html/{Reference,Tutorial}

%files static
%defattr(644,root,root,755)
%{_libdir}/libpqxx.a

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpqxx.spec,v $
Revision 1.30  2006/12/10 16:21:51  arekm
- rel 3

Revision 1.29  2006/12/07 18:17:14  arekm
- rel 2

Revision 1.28  2006/09/16 13:10:59  pluto
- updated to 2.6.8.

Revision 1.27  2006/06/22 10:52:41  pluto
- updated to 2.6.7.

Revision 1.26  2006/05/28 15:44:12  pluto
- updated to 2.6.6 stable, new homepage.

Revision 1.25  2006/03/21 19:15:56  pluto
- updated to 2.5.5.

Revision 1.24  2005/03/26 19:58:55  qboosh
- updated to 2.5.0

Revision 1.23  2005/03/02 22:49:08  qboosh
- updated to 2.4.4

Revision 1.22  2005/02/12 16:33:08  qboosh
- updated to 2.4.3, fixed -doc files

Revision 1.21  2004/11/26 07:11:51  qboosh
- updated to 2.4.2

Revision 1.20  2004/11/07 12:14:40  qboosh
- updated to 2.4.1

Revision 1.19  2004/10/25 23:07:33  qboosh
- updated to 2.4.0

Revision 1.18  2004/08/25 20:28:21  qboosh
- updated to 2.3.0
- pqxxbench has been removed

Revision 1.17  2004/07/12 08:01:29  maho
- added *-doc package (Reference, Tutorial)
- added version of postgres-devel to BuildRequires (won't build with 7.3.x )

Revision 1.16  2004/07/03 23:08:23  qboosh
- updated to 2.2.7

Revision 1.15  2004/05/10 22:28:39  qboosh
- updated to 2.2.3, removed obsolete gcc34 patch

Revision 1.14  2004/05/10 08:41:25  pluto
- updated to 2.2.2.
- gcc 3.4 fixes.

Revision 1.13  2004/04/20 06:27:51  qboosh
- updated to 2.2.1

Revision 1.12  2004/02/22 01:16:57  qboosh
- updated to 2.2.0

Revision 1.11  2004/01/03 00:22:55  qboosh
- updated to 2.1.3

Revision 1.10  2003/11/24 00:10:40  qboosh
- updated to 2.1.2

Revision 1.9  2003/11/16 21:43:56  qboosh
- updated to 2.1.1

Revision 1.8  2003/11/01 17:30:13  jareq
- upgrade to 2.0.0

Revision 1.7  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 05:50:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/16 22:16:52  jareq
- updated to 1.5.1

Revision 1.4  2003/03/12 23:05:11  qboosh
- there is no real libraries in -devel, cosmetics

Revision 1.3  2003/02/17 14:07:55  wrobell
- added missing log cvs keyword
